---
search:
  tags:
    - Tags
    - DELETE
seo:
  description: >-
    Removes associations between multiple variants and… Reference for the DELETE
    /api/v1/{team_slug}/{app_slug}/variants/tags/bulk endpoint in the Management
    API.
sidebar:
  label: Bulk Remove Variants from Tags
  badge: DELETE
title: Bulk Remove Variants from Tags
type: openapi-operation
---
Removes associations between multiple variants and multiple tags in a single request. Deletes variant-tag relationships.

`DELETE /api/v1/{team_slug}/{app_slug}/variants/tags/bulk`

**Request body** (`application/json`, required)

Variant and tag relationships to delete

- `items` (internal_pkg_webserver_v1.BulkVariantTagRelationshipItem[], required)

Request body example:

```json
{
  "items": [
    {
      "tag_id": "string",
      "variant_ids": [
        "string"
      ]
    }
  ]
}
```

**Responses**

- `200` — Variants removed from tags successfully
- `400` — Invalid request
- `401` — Unauthorized access
- `500` — Internal server error

Response example, 200:

```json
{
  "data": {
    "failed": [
      {
        "reason": "string",
        "tag_id": "string",
        "variant_id": "string"
      }
    ],
    "successful": [
      {
        "tag_id": "string",
        "variant_ids": [
          "string"
        ]
      }
    ]
  },
  "details": [
    "string"
  ],
  "success": true
}
```
